<?php
/**
 * Plugin Name: Wonder Grid
 * Plugin URI: https://www.persianscript.ir
 * Description: Wonder Grid offer the project custom post type and the other basic features that allows you to show your projects on your WordPress site.
 * Version: 1.0.8
 * Author: پرشین اسکریپت
 * Author URI: https://www.persianscript.ir
 * Text Domain: wonder-grid
 * Domain Path: /languages/
 *
 * @package Wonder Grid
 */

defined( 'ABSPATH' ) || exit;


// Define WONDER_GRID_FILE.
if ( ! defined( 'WONDER_GRID_FILE' ) ) {
	define( 'WONDER_GRID_FILE', __FILE__ );
}

// Include the main init class.
if ( ! class_exists( 'Wonder_Grid' ) ) {
	include_once dirname( __FILE__ ) . '/includes/class-init.php';
}

/**
 * Returns the main instance of Wonder_Grid.
 *
 * @since  1.0
 * @return Wonder_Grid_Portfolio
 */
function Wonder_Grid() {
	return Wonder_Grid::instance();
}

// Global for backwards compatibility.
$GLOBALS['Wonder_Grid'] = Wonder_Grid();

// Set the slug for the post type and taxonomy.
$GLOBALS['Wonder_Grid']->settings( wg_get_option( 'wonder-grid', 'post_type_slug' ), wg_get_option( 'wonder-grid', 'taxonomy_slug' ) );
