<?php
/**
 * The one column single project template
 * If you want to override this template by your custom template in the theme folder,
 * just create the 'wonder-grid' folder in the theme folder,
 * then, copy this file to wonder-grid folder.
 * @version 1.0.0
 * @package Wonder Grid
 */
?>
<div class="wonder-grid-post wg-column-1">

	<div class="wonder-grid-content">
		<div class="wonder-grid-text">
			<h1 class="wonder-grid-title"><?php the_title(); ?></h1>
			<?php wg_meta(); ?>
		
			<div class="wonder-grid-entry">
				<?php echo get_post_meta( get_the_ID(), '_wonder_grid_description', true ); ?>
			</div>
		</div>
		
		<ul class="wonder-grid-info">
			<?php
		  	  /**
			   * Show the project info section
			   * Hooked function: wg_info()
			   * @see includes/functions.php
			   */
			  do_action( 'wonder_grid/project_info' );
			?>
		</ul>
		<div class="clear"></div>
	</div>

	<div class="wonder-grid-media">
		<?php 
		  /**
		   * Show the project media section
		   * Hooked function: wg_media()
		   * @see includes/functions.php
		   */
		  do_action( 'wonder_grid/project_media' );
		?>
	</div>

</div>