<?php
/**
 * The single project post template
 * If you want to override this template by your custom template in the theme folder,
 * just create the 'wonder-grid' folder in the theme folder,
 * then, copy this file to wonder-grid folder.
 * @version 1.0.0
 * @package Wonder Grid
 */

get_header();

/**
 * Hooked Function: wg_wrapper_start
 * @see includes/functions.php
 */
do_action( 'wonder_grid/before_single_content' );

while ( have_posts() ) : the_post();  
	$layout = get_post_meta( get_the_ID(), '_wonder_grid_layout', true );
	$layout = isset( $layout ) && $layout !== '' ? $layout : 'two-columns';
	wg_load_template( 'content-single', $layout );
endwhile;

wg_single_post_navi();

/**
 * Hooked Function: wg_wrapper_close
 * @see includes/functions.php
 */
do_action( 'wonder_grid/after_single_content' );

get_footer();